package com.fs.hisStore.service;

import java.util.List;
import com.fs.hisStore.domain.FsWechatTemplateScrm;

/**
 * 微信模板Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsWechatTemplateScrmService 
{
    /**
     * 查询微信模板
     * 
     * @param id 微信模板ID
     * @return 微信模板
     */
    public FsWechatTemplateScrm selectFsWechatTemplateById(Integer id);

    /**
     * 查询微信模板列表
     * 
     * @param fsWechatTemplate 微信模板
     * @return 微信模板集合
     */
    public List<FsWechatTemplateScrm> selectFsWechatTemplateList(FsWechatTemplateScrm fsWechatTemplate);

    /**
     * 新增微信模板
     * 
     * @param fsWechatTemplate 微信模板
     * @return 结果
     */
    public int insertFsWechatTemplate(FsWechatTemplateScrm fsWechatTemplate);

    /**
     * 修改微信模板
     * 
     * @param fsWechatTemplate 微信模板
     * @return 结果
     */
    public int updateFsWechatTemplate(FsWechatTemplateScrm fsWechatTemplate);

    /**
     * 批量删除微信模板
     * 
     * @param ids 需要删除的微信模板ID
     * @return 结果
     */
    public int deleteFsWechatTemplateByIds(Integer[] ids);

    /**
     * 删除微信模板信息
     * 
     * @param id 微信模板ID
     * @return 结果
     */
    public int deleteFsWechatTemplateById(Integer id);

    FsWechatTemplateScrm selectFsWechatTemplateByKey(String key);

    List<String> selectFsWechatTemplateIds();

    List<String> selectFsWechatTemplateIdsByKeys(String key);
}
